---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::TextureManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1TextureManager.html">TextureManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classtgui_1_1TextureManager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::TextureManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af6ef3e754185f40764c5bd72b9538712"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextureManager.html#af6ef3e754185f40764c5bd72b9538712">getTexture</a> (<a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture, const std::string &amp;filename, const sf::IntRect &amp;partRect=sf::IntRect(0, 0, 0, 0))</td></tr>
<tr class="memdesc:af6ef3e754185f40764c5bd72b9538712"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads a texture.  <a href="#af6ef3e754185f40764c5bd72b9538712">More...</a><br /></td></tr>
<tr class="separator:af6ef3e754185f40764c5bd72b9538712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a912624f548eca1c4dd3c74722e133b8b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextureManager.html#a912624f548eca1c4dd3c74722e133b8b">copyTexture</a> (std::shared_ptr&lt; TextureData &gt; textureDataToCopy)</td></tr>
<tr class="memdesc:a912624f548eca1c4dd3c74722e133b8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Share the image with another texture.  <a href="#a912624f548eca1c4dd3c74722e133b8b">More...</a><br /></td></tr>
<tr class="separator:a912624f548eca1c4dd3c74722e133b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b26ff0e530657d6c547e605c419bfc"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TextureManager.html#a50b26ff0e530657d6c547e605c419bfc">removeTexture</a> (std::shared_ptr&lt; TextureData &gt; textureDataToRemove)</td></tr>
<tr class="memdesc:a50b26ff0e530657d6c547e605c419bfc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes the texture.  <a href="#a50b26ff0e530657d6c547e605c419bfc">More...</a><br /></td></tr>
<tr class="separator:a50b26ff0e530657d6c547e605c419bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a912624f548eca1c4dd3c74722e133b8b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void tgui::TextureManager::copyTexture </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; TextureData &gt;&#160;</td>
          <td class="paramname"><em>textureDataToCopy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Share the image with another texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textureDataToCopy</td><td>The original texture data that will now be reused. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af6ef3e754185f40764c5bd72b9538712"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tgui::TextureManager::getTexture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::IntRect &amp;&#160;</td>
          <td class="paramname"><em>partRect</em> = <code>sf::IntRect(0,&#160;0,&#160;0,&#160;0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads a texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The texture object to store the loaded image. </td></tr>
    <tr><td class="paramname">filename</td><td>Filename of the image to load. </td></tr>
    <tr><td class="paramname">partRect</td><td>Load only part of the image. Don't pass this parameter if you want to load the full image.</td></tr>
  </table>
  </dd>
</dl>
<p>The second time you call this function with the same filename, the previously loaded image will be reused.</p>
<dl class="section return"><dt>Returns</dt><dd>False when the image could not be loaded, true otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="a50b26ff0e530657d6c547e605c419bfc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void tgui::TextureManager::removeTexture </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; TextureData &gt;&#160;</td>
          <td class="paramname"><em>textureDataToRemove</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Removes the texture. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textureDataToRemove</td><td>The texture data that should be removed.</td></tr>
  </table>
  </dd>
</dl>
<p>When no other texture is using the same image then the image will be removed from memory. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="TextureManager_8hpp_source.html">TextureManager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
